package com.muyu.common.rabbit;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @ Description：Mqtt的配置
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MqttProperties implements Serializable{
    /**
     * 节点
     */
    private String broker;
    /**
     * 主题
     */
    private String topic;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 密码
     */
    private String password;
    /**
     * 客户端id
     */
    private String clientId;
    /**
     * 上报级别
     */
    private int qos = 0;
}
