package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 故障信息
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "fault", description = "故障信息")
public class Fault extends BaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "fault_id")
    @Schema(description = "主键",type = "Integer")
    private Long faultId;

    /**
     * 故障类别
     */
    @Schema(description = "故障类别",type = "String")
    private String faultType;

    /**
     * 故障规则（判定方式）
     */
    @Schema(description = "故障规则（判定方式）",type = "String")
    private String faultCustom;

    /**
     * 报文外键
     */
    @Schema(description = "报文外键",type = "Integer")
    private Integer messageId;



}
