package com.muyu.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.annotation.Excel;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author: LiDongJia
 * @Package: com.muyu.domain.resp
 * @Project: cloud-server
 * @name: WarnRuleListResp
 * @Date: 2024/10/10  10:37
 * @Description: 根据策略id查询规则响应值
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WarnRuleListResp {

    /** 规则id */
    @Schema(type = "Long",description = "规则id")
    private Long warnRuleId;

    /** 规则名称 */
    @Schema(type = "String",description = "规则名称")
    private String ruleName;

    /** 报文数据类型id */
    @Schema(type = "Long",description = "报文数据类型id")
    private Long msgTypeId;

    /** 滑窗时间 */
    @Schema(type = "Date",description = "滑窗时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date slideTime;

    /** 滑窗频率 */
    @Schema(type = "Integer",description = "滑窗频率")
    private Integer slideFrequency;

    /** 最大值 */
    @Schema(type = "Integer",description = "最大值")
    private Integer maxValue;

    /** 最小值 */
    @Schema(type = "Integer",description = "最小值")
    private Integer minValue;

    /**
     * 策略外键id
     */
    @Schema(type = "Integer",description = "策略外键id")
    private Integer warnStrategyId;

    /**
     * 报文编码
     */
    @Schema(type = "String",description = "报文编码")
    private String messageCode;
}
