package com.muyu.enterprise.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.domain.FaultRule;
import com.muyu.domain.resp.FaultRuleResp;
import com.muyu.enterprise.service.FaultRuleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 故障规则
 */
@RestController
@RequestMapping("/faultRule")
public class FaultRuleController {

    @Autowired
    private FaultRuleService faultRuleService;

    /**
     * 故障规则列表
     * @return
     */
    @RequestMapping(value = "/list", method = RequestMethod.GET)
    public Result<List<FaultRuleResp>> list() {
        List<FaultRuleResp> list = faultRuleService.selectList();
        return Result.success(list);
    }

    /**
     * 新增
     * @param faultRule
     * @return
     */
    @PostMapping("/add")
    public Result<String> add(@RequestBody FaultRule faultRule) {
        faultRuleService.save(faultRule);
        return Result.success("新增成功");
    }

    /**
     * 修改
     * @param faultRule
     * @return
     */
    @PutMapping("/update")
    public Result<String> update(@RequestBody FaultRule faultRule) {
        faultRuleService.updateById(faultRule);
        return Result.success("更新成功");
    }

    /**
     * 删除
     * @param faultRuleId
     * @return
     */
    @DeleteMapping("delete/{faultRuleId}")
    public Result<String> delete(@PathVariable("faultRuleId") Long faultRuleId) {
        faultRuleService.removeById(faultRuleId);
        return Result.success("删除成功");
    }



}
