package com.muyu.enterprise.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.yulichang.wrapper.MPJLambdaWrapper;
import com.muyu.domain.FaultRule;
import com.muyu.domain.MessageValue;
import com.muyu.domain.VehicleType;
import com.muyu.domain.resp.FaultRuleResp;
import com.muyu.enterprise.mapper.FaultRuleMapper;
import com.muyu.enterprise.service.FaultRuleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class FaultRuleServiceImpl
        extends ServiceImpl<FaultRuleMapper, FaultRule>
        implements FaultRuleService {

    @Autowired
    private FaultRuleMapper faultRuleMapper;

    /**
     * 查询故障规则列表
     * @return 故障规则列表
     */
    @Override
    public List<FaultRuleResp> selectList() {
        MPJLambdaWrapper<FaultRule> wrapper = new MPJLambdaWrapper<>();
        wrapper.selectAs(FaultRule::getFaultRuleId, "faultRuleId")
                .selectAs(FaultRule::getFaultCondition, "faultCondition")
                .selectAs(FaultRule::getTriggerValue, "triggerValue")
                .selectAs(VehicleType::getVehicleTypeName, "vehicleTypeName")
                .selectAs(MessageValue::getMessageLabel, "messageValueName")
                .leftJoin(VehicleType.class, VehicleType::getVehicleTypeId, FaultRule::getVehicleTypeId)
                .leftJoin(MessageValue.class, MessageValue::getMessageId, FaultRule::getMessageValueId);
        List<FaultRuleResp> list = faultRuleMapper.selectJoinList(FaultRuleResp.class, wrapper);
        return list;
    }
}
