package com.muyu.processing.listener;

import com.alibaba.fastjson.JSONObject;
import com.muyu.domain.WarnRule;
import com.muyu.domain.resp.WarnRuleListResp;
import com.muyu.domain.resp.WarnRuleResp;
import com.muyu.processing.basic.EventCustom;
import com.muyu.processing.basic.EventListener;
import com.muyu.processing.utils.CacheUtil;
import org.springframework.beans.factory.annotation.Autowired;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 车辆预警监听
 * @Author: LiDongJia
 * @Package: com.muyu.processing.listener
 * @Project: cloud-server
 * @name: WarnEventListener
 * @Date: 2024/10/10  9:17
 * @Description: 车辆预警监听
 */
public class WarnEventListener implements EventListener {

    @Resource
    private CacheUtil cacheUtil;

    @Override
    public void onEvent(EventCustom event) {
        JSONObject data = event.getData();
        String vin = (String) data.get("VIN码");
        Map<String, Object> map = (Map<String, Object>) cacheUtil.get(vin);
        if (map != null) {
            WarnRuleResp warnRuleResp = (WarnRuleResp) map.get("warnRuleResp");
            List<WarnRuleListResp> warnRuleList = warnRuleResp.getWarnRuleList();
            warnRuleList.forEach(warnRule -> {
                String messageCode = warnRule.getMessageCode();
            });
        }
    }

    @Override
    public void onApplicationEvent(EventCustom event) {

    }
}
