package com.muyu.cloud.protocol.parsing;

import org.eclipse.paho.client.mqttv3.IMqttDeliveryToken;
import org.eclipse.paho.client.mqttv3.MqttCallback;
import org.eclipse.paho.client.mqttv3.MqttMessage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * mqtt回调器
 * @Author: LiDongJia
 * @Package: com.muyu.cloud.protocol.parsing
 * @Project: cloud-server
 * @name: MqttCallbackMsg
 * @Date: 2024/10/10  14:11
 * @Description: mqtt回调器
 */
@Component
public class MqttCallbackMsg implements MqttCallback {

    @Autowired
    private ParsingMessage parsingMessage;

    @Override
    public void connectionLost(Throwable throwable) {

    }

    @Override
    public void messageArrived(String s, MqttMessage mqttMessage) throws Exception {
        parsingMessage.handleMqttMessage(mqttMessage);
    }

    @Override
    public void deliveryComplete(IMqttDeliveryToken iMqttDeliveryToken) {

    }
}
