package com.muyu.cloud.protocol.parsing;

import com.muyu.common.rabbit.MqttProperties;
import lombok.extern.log4j.Log4j2;
import org.springframework.amqp.rabbit.annotation.Queue;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.amqp.core.Message;
import com.rabbitmq.client.Channel;

import java.io.IOException;

/**
 * MQTT监听器
 * @Author: LiDongJia
 * @Package: com.muyu.cloud.protocol.parsing.config
 * @Project: cloud-server
 * @name: MqttConfig
 * @Date: 2024/10/10  12:29
 * @Description: MQTT监听器
 */
@Log4j2
@Component
public class MqttConfig {

    @Autowired
    private MqttPublishSample mqttPublishSample;

    // 监听MQ
    @RabbitListener(queuesToDeclare = @Queue(value = "queue_inform_sms", durable = "true"))
    public void msg(MqttProperties mqttProperties, Message message, Channel channel) throws Exception {
        try{
            mqttPublishSample.connectToMqttBroker(mqttProperties);
            channel.basicAck(message.getMessageProperties().getDeliveryTag(),false);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }

}
